# 类: ActionEvent

[(返回目录)](/api.md)

**继承自:** [Event](/api/event.md)

**子类:** [NudgeEvent](/api/nudgeevent.md)

RainyBot动作事件类，与聊天动作有关的各类事件通常直接或间接继承此类


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainybot.dev/api/actionevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
